Debian Bug report logs - #383515
ITP: singular -- a Computer Algebra System for polynomial computations

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Timothy G Abbott <tabbott@MIT.EDU>

Date: Thu, 17 Aug 2006 20:18:06 UTC

Owned by: Timothy G Abbott <tabbott@MIT.EDU>

Severity: wishlist

Fixed in version singular/3-0-4-3.dfsg-1

Done: Tim Abbott <tabbott@mit.edu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#383515; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Jordi Gutierrez Hermoso" <jordigh@gmail.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jordi Gutierrez Hermoso" <jordigh@gmail.com>
To: submit@bugs.debian.org
Subject: RFP: Singular -- a Computer Algebra System for polynomial computations
Date: Thu, 17 Aug 2006 15:09:26 -0500
Package: wnpp
Severity: wishlist

Can be found at

    http://www.singular.uni-kl.de/index.html

It is GPLed, so there should be no licensing issues. .debs for Debian
already exist at least for the i386 architecture:

    http://www.singular.uni-kl.de/UNIX/rpm_manually.html#deb_manual

Cheers,
- Jordi G. H.



Changed Bug title. Request was from damog@cerdita.damog.net (David Moreno Garza) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#383515; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurélien GÉRÔME <ag@roxor.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 383515@bugs.debian.org (full text, mbox):

From: Aurélien GÉRÔME <ag@roxor.cx>
To: Jordi Gutierrez Hermoso <jordigh@gmail.com>, 383515@bugs.debian.org
Cc: Bill Allombert <ballombe@debian.org>
Subject: Re: Bug#383515: RFP: Singular -- a Computer Algebra System for polynomial computations
Date: Sat, 19 Aug 2006 00:17:57 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Thu, Aug 17, 2006 at 03:09:26PM -0500, Jordi Gutierrez Hermoso wrote:
> Can be found at
> 
>     http://www.singular.uni-kl.de/index.html
> 
> It is GPLed, so there should be no licensing issues. .debs for Debian
> already exist at least for the i386 architecture:
> 
>     http://www.singular.uni-kl.de/UNIX/rpm_manually.html#deb_manual

I just saw it in debian-wnpp, maybe Bill is interested in it. I am
CCing him...

Cheers,
-- 
 .''`.   Aurélien GÉRÔME
: :'  :
`. `'`   Free Software Developer
  `-     Unix Sys & Net Admin
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from "Varun Hiremath" <varunhiremath@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as "Varun Hiremath" <varunhiremath@gmail.com>. Request was from "Varun Hiremath" <varunhiremath@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Varun Hiremath" <varunhiremath@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by "Varun Hiremath" <varunhiremath@gmail.com>. Request was from "Varun Hiremath" <varunhiremath@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#383515; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #29 received at 383515@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 383515@bugs.debian.org
Subject: singular is difficult
Date: Sun, 15 Oct 2006 16:49:39 +0200
I've just taken a look at it and singular's build system is in quite
a bad shape and I guess it will need many people to bring it into
an reasonable form. Perhaps the best would to package the parts included
in upstreams tarball from other sources. Like a ntl package and a
(once the license fix got applied upstream) omalloc package code and so on.
Once those are all packaged, the remaining parts should be relative
unproblematic.

If anyone wants to try any part of that and want a second pair of eyes
to look at it or an sponsor, let me know.

Hochachtungsvoll,
	Bernhard R. Link



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Jordi Gutierrez Hermoso" <jordigh@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 383515-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 383515-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 01 Nov 2007 11:59:43 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 383515
 stop

Further comments on the work done in the bug sent to
383515@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Nov 2007 07:25:54 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Timothy G Abbott <tabbott@MIT.EDU> to control@bugs.debian.org. (Thu, 08 May 2008 01:36:01 GMT) Full text and rfc822 format available.

Bug reopened, originator set to Timothy G Abbott <tabbott@MIT.EDU>. Request was from Timothy G Abbott <tabbott@MIT.EDU> to control@bugs.debian.org. (Thu, 08 May 2008 01:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#383515; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Timothy G Abbott <tabbott@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #49 received at 383515@bugs.debian.org (full text, mbox):

From: Timothy G Abbott <tabbott@MIT.EDU>
To: 383515@bugs.debian.org
Subject: A draft package for Singular is available
Date: Wed, 7 May 2008 21:36:40 -0400 (EDT)
The licensing problems with Singular have been fixed with a recent Singular 
release.

I have a draft packaging available in the apt repository described at
<http://wiki.sagemath.org/DebianSAGE> that I run for coordinating the
packaging of SAGE for Debian (#455292).

The package has some issues (libraries without sonames and missing man pages) 
which I'm in contact with the upstream developers about.

Also, it's been noted that my copyright file doesn't correctly discuss the 
authors of the various subdirectories within singular.

Since I don't have the time to maintain all 26 source packages I've created as 
part of my effort to package SAGE's dependencies for Debian, I'm looking for 
someone to adopt my package and maintain it in Debian.

	-Tim Abbott




Blocking bugs of 455292 added: 480082, 480086, 480090, 480087, 480094, 480096, 383515, and 480099 Request was from Timothy G Abbott <tabbott@MIT.EDU> to control@bugs.debian.org. (Thu, 08 May 2008 02:00:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#383515; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Timothy G Abbott <tabbott@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #56 received at 383515@bugs.debian.org (full text, mbox):

From: Timothy G Abbott <tabbott@MIT.EDU>
To: 383515@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Changing to ITP
Date: Sat, 7 Jun 2008 16:53:00 -0400 (EDT)
retitle 383515 ITP: singular -- a Computer Algebra System for polynomial computations
owner 383515 !
thanks

While I am doing an upload on Singular, and I am willing to maintain these 
packages, my offer for adoption on it is still open.  If you'd like to 
maintain singular, let me know -- I would certainly appreciate the help.

My latest package is available from <http://web.mit.edu/sage/export/>.

However, I've found a number of copyright documentation issues in the 
upstream tarball that I've on contact with upstream about, so Singular is 
not yet ready to be uploaded.

	-Tim Abbott




Changed Bug title to `ITP: singular -- a Computer Algebra System for polynomial computations' from `RFP: singular -- a Computer Algebra System for polynomial computations'. Request was from Timothy G Abbott <tabbott@MIT.EDU> to control@bugs.debian.org. (Sat, 07 Jun 2008 21:42:04 GMT) Full text and rfc822 format available.

Owner recorded as Timothy G Abbott <tabbott@MIT.EDU>. Request was from Timothy G Abbott <tabbott@MIT.EDU> to control@bugs.debian.org. (Sat, 07 Jun 2008 21:42:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 07 Jul 2008 08:09:04 GMT) Full text and rfc822 format available.

Reply sent to Tim Abbott <tabbott@mit.edu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Timothy G Abbott <tabbott@MIT.EDU>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 383515-close@bugs.debian.org (full text, mbox):

From: Tim Abbott <tabbott@mit.edu>
To: 383515-close@bugs.debian.org
Subject: Bug#383515: fixed in singular 3-0-4-3.dfsg-1
Date: Sat, 02 Aug 2008 01:51:21 +0000
Source: singular
Source-Version: 3-0-4-3.dfsg-1

We believe that the bug you reported is fixed in the latest version of
singular, which is due to be installed in the Debian FTP archive:

libsingular-3-0-4-3_3-0-4-3.dfsg-1_i386.deb
  to pool/main/s/singular/libsingular-3-0-4-3_3-0-4-3.dfsg-1_i386.deb
libsingular-dev_3-0-4-3.dfsg-1_i386.deb
  to pool/main/s/singular/libsingular-dev_3-0-4-3.dfsg-1_i386.deb
singular_3-0-4-3.dfsg-1.diff.gz
  to pool/main/s/singular/singular_3-0-4-3.dfsg-1.diff.gz
singular_3-0-4-3.dfsg-1.dsc
  to pool/main/s/singular/singular_3-0-4-3.dfsg-1.dsc
singular_3-0-4-3.dfsg-1_i386.deb
  to pool/main/s/singular/singular_3-0-4-3.dfsg-1_i386.deb
singular_3-0-4-3.dfsg.orig.tar.gz
  to pool/main/s/singular/singular_3-0-4-3.dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 383515@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tim Abbott <tabbott@mit.edu> (supplier of updated singular package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Jul 2008 19:12:19 -0400
Source: singular
Binary: singular libsingular-dev libsingular-3-0-4-3
Architecture: source i386
Version: 3-0-4-3.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Tim Abbott <tabbott@mit.edu>
Changed-By: Tim Abbott <tabbott@mit.edu>
Description: 
 libsingular-3-0-4-3 - Library for commutative algebra, shared library
 libsingular-dev - Library for commutative algebra, development files
 singular   - A commutative algebra system
Closes: 383515
Changes: 
 singular (3-0-4-3.dfsg-1) unstable; urgency=low
 .
   * Initial release (Closes: #383515).
Checksums-Sha1: 
 fef8674b07391179f4d74a07cbc2771566420bd5 1215 singular_3-0-4-3.dfsg-1.dsc
 7149bd5dd738b63c7fb8acb490da2c457bfe7292 12227618 singular_3-0-4-3.dfsg.orig.tar.gz
 bfcaa128a4ebac40a9f12ef5dbce2e9ef4e52afd 7359 singular_3-0-4-3.dfsg-1.diff.gz
 e09a1b7c430730c6ab20608e6ba8785e50fe321a 3371868 singular_3-0-4-3.dfsg-1_i386.deb
 002ac1f2fb36f4f57e7ecd79affbed5092f7f285 728858 libsingular-dev_3-0-4-3.dfsg-1_i386.deb
 13d545ec6e2442346e77d8a1498068c099b8d3bf 5536026 libsingular-3-0-4-3_3-0-4-3.dfsg-1_i386.deb
Checksums-Sha256: 
 cbc1d8fc11e6eeb3654819322e470e38cc3c46a51e3de6a9755b607b7038203d 1215 singular_3-0-4-3.dfsg-1.dsc
 14c0218978d8fd57d9f6b9ea675db2ffcf7ed70e69d4071f2f2b6836c7164cd4 12227618 singular_3-0-4-3.dfsg.orig.tar.gz
 b29cdc6e9e3afe4e86ac84bdd093510cc07648cc8695db87a0e138077adce407 7359 singular_3-0-4-3.dfsg-1.diff.gz
 631b132d91cc7665b2db57832faf9481b6c2252d71f49573869e70d0702cff64 3371868 singular_3-0-4-3.dfsg-1_i386.deb
 8449e9bcca4862a4233c75ec03cc7c1ae496426e869d0994ea806e42d5fee7d5 728858 libsingular-dev_3-0-4-3.dfsg-1_i386.deb
 3179ae2919c6b5d08469c8eb3303d5ff69598d69deeab2d53385420fbec26dc4 5536026 libsingular-3-0-4-3_3-0-4-3.dfsg-1_i386.deb
Files: 
 7630d7fd51d843d52b5612811eb0cb5f 1215 math optional singular_3-0-4-3.dfsg-1.dsc
 77ab68540a34257b3001ffc5897cc1b0 12227618 math optional singular_3-0-4-3.dfsg.orig.tar.gz
 1c9a95c9be5231e8bb80ed199ce9eb37 7359 math optional singular_3-0-4-3.dfsg-1.diff.gz
 1b9ee9279397c3b600efae3b02eaf7f7 3371868 math optional singular_3-0-4-3.dfsg-1_i386.deb
 ab35a37a285e210776fb3251ed14a51a 728858 libdevel optional libsingular-dev_3-0-4-3.dfsg-1_i386.deb
 d265aacbb70ab9d21f270ca049eb2abf 5536026 libs optional libsingular-3-0-4-3_3-0-4-3.dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiSTRQACgkQd73XuVITgbrbBgCeJw5Z66zHRWNr7OawJw0f+dJy
uIcAn3Rpep5ax93S0Sp3YuiaNl221CnU
=TScN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Aug 2008 07:27:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:54:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.